// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/UIAlignableElement.hpp"

namespace Dawn {
  class UILabel final : public UIAlignableElement {
    protected:
      void getSelfQuads(UICanvas &ctx) override;

    public:
      std::shared_ptr<TrueTypeTexture> font;
  };
}