// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "ShaderParameter.hpp"

using namespace Dawn;

ShaderParameter::ShaderParameter( 
  const std::string &name,
  const void *offset,
  const enum ShaderParameterType type,
  const size_t count
) {
  this->name = name;
  this->offset = (size_t)offset;
  this->type = type;
  this->count = count;
}